# package include only on python file
# in result debuginfo is empty
%global debug_package %{nil}

Name:           caja-terminal
Version:        0.9
Release:        1%{?dist}
Summary:        Terminal embedded in Caja

Group:          System Environment/Shells
License:        GPLv3+
URL:            https://github.com/yselkowitz/%{name}
# upstream is located at github, but links from tag releases doesn't match copied link in
# web-browser, in result fedora-rewiew-tool will fail.
# so i decided to release on fedorapeople to have a valid download link
Source0:        https://github.com/yselkowitz/caja-terminal/archive/%{name}-%{version}.tar.gz

BuildRequires:  gettext python2-devel

# needed for run caja-terminal
Requires:       pygtk2 python-caja vte pyxdg

%description
Caja Terminal is a terminal embedded in Caja, the MATE file browser.
It is always open in the current folder, and follows the navigation
(like an automated "cd" command).

%prep
%setup -q
sed -i -e 's~#!/usr/bin/python~#!%{__python2}~g' code/caja-terminal.py

%build
# no build needed

%install
%{make_install}

bash install.sh --package $RPM_BUILD_ROOT

#rm -rf $RPM_BUILD_ROOT%{_datadir}/doc

%find_lang %{name} --with-gnome --all-name


%files -f %{name}.lang
%doc COPYING AUTHORS README
%{_datadir}/%{name}/
%{_datadir}/caja-python/extensions/%{name}.*


%changelog
* Sat Sep 12 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.9-1
- update to 0.9 release
- switch to new upstream
- support GObject-Introspection

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar 16 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.1-5
- unown /usr/lib/caja/extensions-2.0/python/, owned by python-caja now
- use modern make install macro

* Wed Sep 25 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.1-4
- disable debuginfo package

* Wed Sep 25 2013 Dan Horák <dan[at]danny.cz> - 0.8.1-3
- fix 64-bit build for non-x86 arches

* Fri Sep 06 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.1-2
- add python2 stacks
- own directories

* Fri Sep 06 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.1-1
- initial build for fedora
- update to 0.8.1

* Sat Jun 15 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8-1
- update to 0.8
- rebuild for mate-python removal

* Fri Nov 16 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.7-1
- build for f19
